Bug 710097 - (CVE-2011-2174) CVE-2011-2174 wireshark: Double-free flaw by uncompressing of a zlib compressed packet
CVE-2011-2174 wireshark: Double-free flaw by uncompressing of a zlib compress...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20110531,reported=2...
: Security
Depends On: 809045 809046
Blocks: 807617
  Show dependency treegraph
 
Reported: 2011-06-02 08:51 EDT by Jan Lieskovsky
Modified: 2015-11-24 09:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 13:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-06-02 08:51:41 EDT
A double free flaw was found in the way Wireshark uncompressed a zlib
compressed packet inside a message of tvbuff buffer. A remote attacker
could create a specially-crafted capture file, which once opened, by a
local, unsuspecting user could lead to wireshark application crash.

References:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5908
    (upstream bug report, not public)
[2] http://www.openwall.com/lists/oss-security/2011/05/31/20
    (CVE request)
[3] http://www.wireshark.org/security/wnpa-sec-2011-07.html
    (upstream advisory)

Upstream patch:
[4] http://anonsvn.wireshark.org/viewvc?view=revision&revision=37081
Comment 1 Jan Lieskovsky 2011-06-02 08:55:16 EDT
This issue did NOT affect the versions of the wireshark package, as shipped
with Red Hat Enterprise Linux 4 and 5.


This issue affects the versions of the wireshark package, as shipped with
Red Hat Enterprise Linux 6.

--

This issue affects the versions of the wireshark package, as shipped with
Fedora release of 13, 14 and 15.
Comment 4 errata-xmlrpc 2012-04-23 12:52:18 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0509 https://rhn.redhat.com/errata/RHSA-2012-0509.html
Comment 5 Vincent Danen 2012-04-23 13:41:18 EDT
Current Fedora has wireshark 1.4.12 which is not affected by this flaw.
Comment 6 Vincent Danen 2012-04-23 13:42:21 EDT
Statement:

This issue did not affect the version of wireshark as shipped with Red Hat Enterprise Linux 4 and 5.

Note You need to log in before you can comment on or make changes to this bug.